Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class RegularPolygon

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.RegularPolygon

All Implemented Interfaces:
  ContextDependent, BSplineCurve, KnotVector, VertexList, VertexSet, Manageable, Shareable

    public class RegularPolygon

extends ContextDependentBase
implements BSplineCurve

Nested Class Summary
`static class` | `RegularPolygon.Type`

Field Summary
`static RegularPolygon.Type` | `$TYPE`
`static SCOType.Field` | `circumradius$FIELD`
`static SCOType.Field` | `plane$FIELD`
`static SCOType.Field` | `reverse$FIELD`
`static SCOType.Field` | `sideCount$FIELD`
`static SCOType.Field` | `starness$FIELD`
`static SCOType.Field` | `topHorizontal$FIELD`

Constructor Summary
`RegularPolygon()` Constructor with fixed side count
`RegularPolygon(int value)` Constructor with side count as parameter.

Method Summary
`boolean` | `dependsOnContext()` Determines whether this object actually depends on context.
`float` | `getCircumradius()`
`int` | `getDegree(GraphState gs)`
`int` | `getDimension(GraphState gs)`
`float` | `getKnot(int dim, int index, GraphState gs)`
`ManageableType` | `getManageableType()`
`int` | `getPlane()`
`int` | `getSideCount()`
`int` | `getSize(GraphState gs)`
`float` | `getStarness()`
`int` | `getVertex(float[] out, int index, GraphState gs)`
`boolean` | `isRational(GraphState gs)`
`boolean` | `isReverse()`
`boolean` | `isTopHorizontal()`
`void` | `setCircumradius(float value)`
`void` | `setPlane(int value)`
`void` | `setReverse(boolean value)`
`void` | `setSideCount(int value)`
`void` | `setStarness(float value)`
`void` | `setTopHorizontal(boolean value)`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.graph.ContextDependent
`writeStamp`

Field Detail

### $TYPE

    public static final RegularPolygon.Type $TYPE

### circumradius$FIELD

    public static final SCOType.Field circumradius$FIELD

### plane$FIELD

    public static final SCOType.Field plane$FIELD

### reverse$FIELD

    public static final SCOType.Field reverse$FIELD

### sideCount$FIELD

    public static final SCOType.Field sideCount$FIELD

### starness$FIELD

    public static final SCOType.Field starness$FIELD

### topHorizontal$FIELD

    public static final SCOType.Field topHorizontal$FIELD

Constructor Detail

### RegularPolygon

    public RegularPolygon()

  Constructor with fixed side count

### RegularPolygon

    public RegularPolygon(int value)

  Constructor with side count as parameter.

  Parameters:
    `side` - count

Method Detail

### dependsOnContext

    public boolean dependsOnContext()

  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Specified by:
    `dependsOnContext` in interface `ContextDependent`
  Returns:
    `true` iff this object depends on context

### getCircumradius

    public float getCircumradius()

### getDegree

    public int getDegree(GraphState gs)

  Specified by:
    `getDegree` in interface `BSplineCurve`

### getDimension

    public int getDimension(GraphState gs)

  Specified by:
    `getDimension` in interface `VertexSet`

### getKnot

    public float getKnot(int dim,
                         int index,
                         GraphState gs)

  Specified by:
    `getKnot` in interface `KnotVector`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getPlane

    public int getPlane()

### getSideCount

    public int getSideCount()

### getSize

    public int getSize(GraphState gs)

  Specified by:
    `getSize` in interface `VertexList`

### getStarness

    public float getStarness()

### getVertex

    public int getVertex(float[] out,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `VertexSet`

### isRational

    public boolean isRational(GraphState gs)

  Specified by:
    `isRational` in interface `VertexSet`

### isReverse

    public boolean isReverse()

### isTopHorizontal

    public boolean isTopHorizontal()

### setCircumradius

    public void setCircumradius(float value)

### setPlane

    public void setPlane(int value)

### setReverse

    public void setReverse(boolean value)

### setSideCount

    public void setSideCount(int value)

### setStarness

    public void setStarness(float value)

### setTopHorizontal

    public void setTopHorizontal(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD